program nany;
uses math; // isNan() belongs to math unit
const
 _nan=0/0;
 _inf=1.0/0;
var
 u: double;
begin
 writeln(_nan);
 if isNaN(_nan) then writeln('0/0 is Nan') else writeln('0/0 is not Nan');
 writeln(_inf);
 writeln(ln(-1));
 u := ln(-0.01);
 writeln(u)
end.